Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 4901)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 1)
@@ -1831,164 +1175,9 @@
           ENDDO loop1
 
-!
-!--       For parallel output, all data were collected before on a local array and are written now
-!--       to the netcdf file. This must be done to increase the performance of the parallel output.
-#if defined( __netcdf )
-          IF ( netcdf_data_format > 4 )  THEN
-
-                SELECT CASE ( mode )
-
-                   CASE ( 'xy' )
-                      IF ( two_d )  THEN
-                         nis = 1
-                         two_d = .FALSE.
-                      ELSE
-                         nis = ns
-                      ENDIF
-!
-!--                   Do not output redundant ghost point data except for the boundaries of the
-!--                   total domain.
-!                      IF ( nxr == nx  .AND.  nyn /= ny )  THEN
-!                         nc_stat = NF90_PUT_VAR( id_set_xy(av),                &
-!                                                 id_var_do2d(av,ivar),           &
-!                                                 local_2d_sections(nxl:nxr+1,  &
-!                                                    nys:nyn,1:nis),            &
-!                                                 start = (/ nxl+1, nys+1, 1,   &
-!                                                    do2d_xy_time_count(av) /), &
-!                                                 count = (/ nxr-nxl+2,         &
-!                                                            nyn-nys+1, nis, 1  &
-!                                                          /) )
-!                      ELSEIF ( nxr /= nx  .AND.  nyn == ny )  THEN
-!                         nc_stat = NF90_PUT_VAR( id_set_xy(av),                &
-!                                                 id_var_do2d(av,ivar),           &
-!                                                 local_2d_sections(nxl:nxr,    &
-!                                                    nys:nyn+1,1:nis),          &
-!                                                 start = (/ nxl+1, nys+1, 1,   &
-!                                                    do2d_xy_time_count(av) /), &
-!                                                 count = (/ nxr-nxl+1,         &
-!                                                            nyn-nys+2, nis, 1  &
-!                                                          /) )
-!                      ELSEIF ( nxr == nx  .AND.  nyn == ny )  THEN
-!                         nc_stat = NF90_PUT_VAR( id_set_xy(av),                &
-!                                                 id_var_do2d(av,ivar),           &
-!                                                 local_2d_sections(nxl:nxr+1,  &
-!                                                    nys:nyn+1,1:nis),          &
-!                                                 start = (/ nxl+1, nys+1, 1,   &
-!                                                    do2d_xy_time_count(av) /), &
-!                                                 count = (/ nxr-nxl+2,         &
-!                                                            nyn-nys+2, nis, 1  &
-!                                                          /) )
-!                      ELSE
-                         nc_stat = NF90_PUT_VAR( id_set_xy(av),                                    &
-                                                 id_var_do2d(av,ivar),                             &
-                                                 local_2d_sections(nxl:nxr, nys:nyn,1:nis),        &
-                                                 start = (/ nxl+1, nys+1, 1,                       &
-                                                            do2d_xy_time_count(av) /),             &
-                                                 count = (/ nxr-nxl+1, nyn-nys+1, nis, 1 /) )
-!                      ENDIF
-
-                      CALL netcdf_handle_error( 'data_output_2d', 55 )
-
-                   CASE ( 'xz' )
-!
-!--                   First, all PEs get the information of all cross-sections.
-!--                   Then the data are written to the output file by all PEs while NF90_COLLECTIVE
-!--                   is set in subroutine define_netcdf_header. Although redundant information are
-!--                   written to the output file in that case, the performance is significantly
-!--                   better compared to the case where only the first row of PEs in x-direction
-!--                   (myidx = 0) is given the output while NF90_INDEPENDENT is set.
-                      IF ( npey /= 1 )  THEN
-
-#if defined( __parallel )
-!
-!--                      Distribute data over all PEs along y
-                         ngp = ( nxr-nxl+1 ) * ( nzt_do-nzb_do+1 ) * ns
-                         IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-                         CALL MPI_ALLREDUCE( local_2d_sections_l(nxl,1,nzb_do),                    &
-                                             local_2d_sections(nxl,1,nzb_do),                      &
-                                             ngp, MPI_REAL, MPI_SUM, comm1dy, ierr )
-#else
-                         local_2d_sections = local_2d_sections_l
-#endif
-                      ENDIF
-!
-!--                   Do not output redundant ghost point data except for the boundaries of the
-!--                   total domain.
-!                      IF ( nxr == nx )  THEN
-!                         nc_stat = NF90_PUT_VAR( id_set_xz(av),                &
-!                                             id_var_do2d(av,ivar),               &
-!                                             local_2d_sections(nxl:nxr+1,1:ns, &
-!                                                nzb_do:nzt_do),                &
-!                                             start = (/ nxl+1, 1, 1,           &
-!                                                do2d_xz_time_count(av) /),     &
-!                                             count = (/ nxr-nxl+2, ns, nzt_do-nzb_do+1,  &
-!                                                        1 /) )
-!                      ELSE
-                         nc_stat = NF90_PUT_VAR( id_set_xz(av),                                    &
-                                                 id_var_do2d(av,ivar),                             &
-                                                 local_2d_sections(nxl:nxr,1:ns, nzb_do:nzt_do),   &
-                                                 start = (/ nxl+1, 1, 1, do2d_xz_time_count(av) /),&
-                                                 count = (/ nxr-nxl+1, ns, nzt_do-nzb_do+1, 1 /) )
-!                      ENDIF
-
-                      CALL netcdf_handle_error( 'data_output_2d', 57 )
-
-                   CASE ( 'yz' )
-!
-!--                   First, all PEs get the information of all cross-sections.
-!--                   Then the data are written to the output file by all PEs while NF90_COLLECTIVE
-!--                   is set in subroutine define_netcdf_header. Although redundant information are
-!--                   written to the output file in that case, the performance is significantly
-!--                   better compared to the case where only the first row of PEs in y-direction
-!--                   (myidy = 0) is given the output while NF90_INDEPENDENT is set.
-                      IF ( npex /= 1 )  THEN
-
-#if defined( __parallel )
-!
-!--                      Distribute data over all PEs along x
-                         ngp = ( nyn-nys+1 ) * ( nzt-nzb + 2 ) * ns
-                         IF ( collective_wait ) CALL MPI_BARRIER( comm2d, ierr )
-                         CALL MPI_ALLREDUCE( local_2d_sections_l(1,nys,nzb_do),                    &
-                                             local_2d_sections(1,nys,nzb_do),                      &
-                                             ngp, MPI_REAL, MPI_SUM, comm1dx, ierr )
-#else
-                         local_2d_sections = local_2d_sections_l
-#endif
-                      ENDIF
-!
-!--                   Do not output redundant ghost point data except for the boundaries of the
-!--                   total domain.
-!                      IF ( nyn == ny )  THEN
-!                         nc_stat = NF90_PUT_VAR( id_set_yz(av),                &
-!                                             id_var_do2d(av,ivar),               &
-!                                             local_2d_sections(1:ns,           &
-!                                                nys:nyn+1,nzb_do:nzt_do),      &
-!                                             start = (/ 1, nys+1, 1,           &
-!                                                do2d_yz_time_count(av) /),     &
-!                                             count = (/ ns, nyn-nys+2,         &
-!                                                        nzt_do-nzb_do+1, 1 /) )
-!                      ELSE
-                         nc_stat = NF90_PUT_VAR( id_set_yz(av),                                    &
-                                                 id_var_do2d(av,ivar),                             &
-                                                 local_2d_sections(1:ns,nys:nyn, nzb_do:nzt_do),   &
-                                                 start = (/ 1, nys+1, 1, do2d_yz_time_count(av) /),&
-                                                 count = (/ ns, nyn-nys+1, nzt_do-nzb_do+1, 1 /) )
-!                      ENDIF
-
-                      CALL netcdf_handle_error( 'data_output_2d', 60 )
-
-                   CASE DEFAULT
-                      message_string = 'unknown cross-section: ' // TRIM( mode )
-                      CALL message( 'data_output_2d', 'PA0180', 1, 2, 0, 6, 0 )
-
-                END SELECT
-
-          ENDIF
-#endif
        ENDIF
 
-       ivar = ivar + 1
-       l = MAX( 2, LEN_TRIM( do2d(av,ivar) ) )
-       do2d_mode = do2d(av,ivar)(l-1:l)
+       if = if + 1
+       l = MAX( 2, LEN_TRIM( do2d(av,if) ) )
+       do2d_mode = do2d(av,if)(l-1:l)
 
     ENDDO
@@ -1997,10 +1186,7 @@
 !-- Deallocate temporary arrays.
     IF ( ALLOCATED( level_z ) )  DEALLOCATE( level_z )
-    IF ( netcdf_data_format > 4 )  THEN
-       DEALLOCATE( local_pf, local_2d, local_2d_sections )
-       IF( mode == 'xz'  .OR.  mode == 'yz' )  DEALLOCATE( local_2d_sections_l )
-    ENDIF
+    DEALLOCATE( local_pf, local_2d )
 #if defined( __parallel )
-    IF ( .NOT. data_output_2d_on_each_pe  .AND.  myid == 0 )  THEN
+    IF ( .NOT.  data_output_2d_on_each_pe  .AND.  myid == 0 )  THEN
        DEALLOCATE( total_2d )
     ENDIF
@@ -2009,23 +1195,14 @@
 !
 !-- Close plot output file.
-    file_id = 20 + s_ind
+    file_id = 20 + s
 
     IF ( data_output_2d_on_each_pe )  THEN
-       DO  i = 0, io_blocks-1
-          IF ( i == io_group )  THEN
-             CALL close_file( file_id )
-          ENDIF
-#if defined( __parallel )
-          CALL MPI_BARRIER( comm2d, ierr )
-#endif
-       ENDDO
+       CALL close_file( file_id )
     ELSE
        IF ( myid == 0 )  CALL close_file( file_id )
     ENDIF
 
-    CALL cpu_log( log_point(3), 'data_output_2d', 'stop' )
-
-    IF ( debug_output_timestep )  CALL debug_message( 'data_output_2d', 'end' )
-
+
+    CALL cpu_log (log_point(3),'data_output_2d','stop','nobarrier')
 
  END SUBROUTINE data_output_2d
